package com.writeoff.module.system.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

public class CreatePlatformDictionaryTypeRequest {
    @NotBlank(message = "字典类型编码不能为空")
    private String dictType;
    @NotBlank(message = "字典类型名称不能为空")
    private String dictName;
    @NotNull(message = "排序不能为空")
    private Integer sortNo;
    private String remark;

    public String getDictType() {
        return dictType;
    }

    public void setDictType(String dictType) {
        this.dictType = dictType;
    }

    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public Integer getSortNo() {
        return sortNo;
    }

    public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
